Bug 1881667 (CVE-2020-15673) - CVE-2020-15673 Mozilla: Memory safety bugs fixed in Firefox 81 and Firefox ESR 78.3
Summary: CVE-2020-15673 Mozilla: Memory safety bugs fixed in Firefox 81 and Firefox ES...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15673
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1873379 1879267 1879268 1879269 1879270 1879271 1879272 1881389 1881390 1881391 1881392 1881393 1881394
Blocks: 1879265
TreeView+ depends on / blocked
 
Reported: 2020-09-22 20:39 UTC by msiddiqu
Modified: 2021-02-16 19:12 UTC (History)
4 users (show)

Fixed In Version: firefox 78.3, thunderbird 78.3
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Mozilla developer reported memory safety bugs present in Firefox 80 and Firefox ESR 78.2. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.
Clone Of:
Environment:
Last Closed: 2020-09-24 14:41:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3832 0 None None None 2020-09-24 10:08:03 UTC
Red Hat Product Errata RHSA-2020:3833 0 None None None 2020-09-24 09:59:00 UTC
Red Hat Product Errata RHSA-2020:3834 0 None None None 2020-09-24 09:53:25 UTC
Red Hat Product Errata RHSA-2020:3835 0 None None None 2020-09-24 10:11:56 UTC
Red Hat Product Errata RHSA-2020:4080 0 None None None 2020-09-30 06:35:48 UTC
Red Hat Product Errata RHSA-2020:4155 0 None None None 2020-10-01 13:19:31 UTC
Red Hat Product Errata RHSA-2020:4156 0 None None None 2020-10-01 13:08:35 UTC
Red Hat Product Errata RHSA-2020:4157 0 None None None 2020-10-01 13:13:03 UTC
Red Hat Product Errata RHSA-2020:4158 0 None None None 2020-10-01 13:27:01 UTC
Red Hat Product Errata RHSA-2020:4163 0 None None None 2020-10-01 14:48:55 UTC

Description msiddiqu 2020-09-22 20:39:19 UTC
Mozilla developer reported memory safety bugs present in Firefox 80 and Firefox ESR 78.2. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-43/#CVE-2020-15673

Comment 1 msiddiqu 2020-09-22 20:39:26 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jason Kratzer

Comment 6 errata-xmlrpc 2020-09-24 09:53:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3834 https://access.redhat.com/errata/RHSA-2020:3834

Comment 7 errata-xmlrpc 2020-09-24 09:58:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3833 https://access.redhat.com/errata/RHSA-2020:3833

Comment 8 errata-xmlrpc 2020-09-24 10:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3832 https://access.redhat.com/errata/RHSA-2020:3832

Comment 9 errata-xmlrpc 2020-09-24 10:11:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:3835 https://access.redhat.com/errata/RHSA-2020:3835

Comment 10 Product Security DevOps Team 2020-09-24 14:41:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15673

Comment 16 errata-xmlrpc 2020-09-30 06:35:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4080 https://access.redhat.com/errata/RHSA-2020:4080

Comment 32 errata-xmlrpc 2020-10-01 13:08:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4156 https://access.redhat.com/errata/RHSA-2020:4156

Comment 33 errata-xmlrpc 2020-10-01 13:13:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4157 https://access.redhat.com/errata/RHSA-2020:4157

Comment 34 errata-xmlrpc 2020-10-01 13:19:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4155 https://access.redhat.com/errata/RHSA-2020:4155

Comment 35 errata-xmlrpc 2020-10-01 13:26:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4158 https://access.redhat.com/errata/RHSA-2020:4158

Comment 36 errata-xmlrpc 2020-10-01 14:48:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4163 https://access.redhat.com/errata/RHSA-2020:4163


Note You need to log in before you can comment on or make changes to this bug.